/* ===== HERO-БЛОКИ (ОБЩИЕ СТИЛИ) ===== */

.page-hero-section .entry-hero-container-inner {
    min-height: 200px;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    background-attachment: scroll;
}

/* Затемнение */
.tax-location .hero-section-overlay,
.tax-place .hero-section-overlay,
.tag .hero-section-overlay,
.tax-type_place .hero-section-overlay,
.events-archive-hero .hero-section-overlay {
    background-color: #1A1A1A;
    opacity: 0.8;
}


/* Hero-заголовок (бывший H1) */
.hero-title {
    font-size: 2em;
    line-height: 1.2;
    margin-bottom: 0.5rem;
    font-weight: 700;
    font-family: var(--global-heading-font-family);
    color: #ffffff;
}



/* Белый цвет для заголовка H1 */
.page-hero-section .entry-title,
.tax-location .entry-title,
.tax-place .entry-title,
.tag .heading-title,
.tax-type_place .entry-title,
.events-archive-hero .entry-title {
    color: #ffffff !important;
}

/* Белый цвет для крошек */
.page-hero-section .kadence-breadcrumbs,
.page-hero-section .kadence-breadcrumbs a,
.page-hero-section .bc-delimiter,
.tax-location .kadence-breadcrumbs,
.tax-location .kadence-breadcrumbs a,
.tax-location .bc-delimiter,
.tax-place .kadence-breadcrumbs,
.tax-place .kadence-breadcrumbs a,
.tax-place .bc-delimiter,
.tag .kadence-breadcrumbs,
.tag .kadence-breadcrumbs a,
.tag .bc-delimiter,
.tax-type_place .kadence-breadcrumbs,
.tax-type_place .kadence-breadcrumbs a,
.tax-type_place .bc-delimiter {
    color: #ffffff !important;
}

/* Заголовок hero для меток */
.tag .heading-title {
    font-size: 2rem;
    line-height: 1.2;
    margin-bottom: 0.5rem;
    font-weight: 700;
    font-family: var(--global-heading-font-family);
    text-transform: uppercase;
}

/* ===== ФОНЫ ДЛЯ ТАКСОНОМИЙ И АРХИВОВ ===== */
.tax-location .page-hero-section .entry-hero-container-inner {
    background-image: url('/wp-content/themes/kadence-child/images/location-bg.png');
}
.tax-place .page-hero-section .entry-hero-container-inner {
    background-image: url('/wp-content/themes/kadence-child/images/place-bg.png');
}
.tag .page-hero-section .entry-hero-container-inner {
    background-image: url('/wp-content/themes/kadence-child/images/tag-bg.png');
}
.tax-type_place .page-hero-section .entry-hero-container-inner {
    background-image: url('/wp-content/themes/kadence-child/images/place-type-bg.png');
}
.events-archive-hero .page-hero-section .entry-hero-container-inner {
    background-image: url('/wp-content/themes/kadence-child/images/hero-bg.png');
}
.search-events-hero .entry-hero-container-inner {
    background-image: url('/wp-content/themes/kadence-child/images/search-bg.png');
}
